GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
gtpin::GtSimdWidth Class Reference
GTPin: GEN Architecture

SIMD width. More...

`#include <gt_gpu_defs.h>`

## Public Member Functions
constexpr | GtSimdWidth (SIMD_WIDTH v=SIMD_WIDTH_INVALID)
| Conversion constructor.
constexpr | operator SIMD_WIDTH () const
| Conversion operator.
const char * | ToString () const
| Return string representation.
uint32_t | ToUint () const
| Return integer representation.
## Static Public Member Functions
static GtSimdWidth | MakeFromString (const char *simdCstr)
| Construct from string.
static GtSimdWidth | MakeFromUint (uint32_t simdUint)
| Construct from integer.

## Detailed Description

SIMD width.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT